interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/groups/test%2Fgroup_members
  response:
    body:
      string: '{"id":20,"web_url":"http://gitlab.example.com/groups/test/group_members","name":"group_members","path":"group_members","description":"","visibility":"private","lfs_enabled":true,"avatar_url":null,"request_access_enabled":false,"full_name":"test
        / group_members","full_path":"test/group_members","parent_id":3,"projects":[],"shared_projects":[]}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '344'
      Content-Type:
      - application/json
      Date:
      - Mon, 13 May 2019 08:06:01 GMT
      Etag:
      - W/"5e0acc3de642a3143de92d12481d4ebc"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 7InNsdZjxP1
      X-Runtime:
      - '0.034476'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/groups/20/members
  response:
    body:
      string: '[{"id":10,"name":"Some Member","username":"some_member","state":"active","avatar_url":"https://www.gravatar.com/avatar/b2e136501f5640b23119174ee1c1d622?s=80\u0026d=identicon","web_url":"http://gitlab.example.com/some_member","access_level":40,"expires_at":null}]'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '262'
      Content-Type:
      - application/json
      Date:
      - Mon, 13 May 2019 08:06:01 GMT
      Etag:
      - W/"29df3248a952b2137c4dff9f88a099e4"
      Link:
      - <http://gitlab.example.com/api/v4/groups/20/members?id=20&page=1&per_page=20>;
        rel="first", <http://gitlab.example.com/api/v4/groups/20/members?id=20&page=1&per_page=20>;
        rel="last"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - ''
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - 5ZWofJLrWK1
      X-Runtime:
      - '0.024115'
      X-Total:
      - '1'
      X-Total-Pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: DELETE
    uri: http://localhost/api/v4/groups/20/members/10
  response:
    body:
      string: ''
    headers:
      Cache-Control:
      - no-cache
      Connection:
      - keep-alive
      Date:
      - Mon, 13 May 2019 08:06:01 GMT
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - NGHt7vDrNq7
      X-Runtime:
      - '0.184393'
    status:
      code: 204
      message: No Content
version: 1
